Request
curl -sS --fail-with-body "https://ark.cn-beijing.volces.com/api/v3/memory_stores/<MEMORY_STORE_ID>/memories/batch_create" \
-H "Authorization: Bearer $ARK_API_KEY" \
-H "Content-Type: application/json" \
-d @- <<'EOF'
{
"items": [
{
"path": "/notes/2026/q3-plan.md",
"content": "Q3 目标:完成托管智能体接口全量上线。"
},
{
"path": "/notes/2026/q3-owners.md",
"content": "接口 owner:接口团队;文档 owner:文档团队。"
}
],
"on_conflict": "fail"
}
EOFResponse
{
"results": [
{
"path": "/notes/2026/q3-plan.md",
"memory": {
"id": "mem-<VALUE_1>",
"type": "memory",
"memory_store_id": "<MEMORY_STORE_ID>",
"path": "/notes/2026/q3-plan.md",
"content_sha256": "e774ea541686b734b4d19d3460264bc350ecaebef7f45e7ca2bc31a712b2a694",
"content_size_bytes": 54,
"memory_version_id": "<MEMORY_VERSION_ID_1>",
"created_by": {"type": "user_actor", "user_id": "<USER_ID>"},
"created_at": "2026-09-17T16:02:50Z",
"updated_at": "2026-09-17T16:02:50Z"
}
},
{
"path": "/notes/2026/q3-owners.md",
"memory": {
"id": "mem-<VALUE_2>",
"type": "memory",
"memory_store_id": "<MEMORY_STORE_ID>",
"path": "/notes/2026/q3-owners.md",
"content_sha256": "76a3fc07c4ab54fd1ce11d962dc31d256ad364628e84df5ee9a43b75a7d3cc28",
"content_size_bytes": 60,
"memory_version_id": "<MEMORY_VERSION_ID_2>",
"created_by": {"type": "user_actor", "user_id": "<USER_ID>"},
"created_at": "2026-09-17T16:02:50Z",
"updated_at": "2026-09-17T16:02:50Z"
}
}
]
}